Skip to main content

Retrieve payouts claimed by user (by phone)

GET 

/api/users/by-phone/:phoneNumber/payouts

Retrieve a list of payouts claimed by a user.

Request

Path Parameters

    phoneNumber stringrequired

Responses

List of payouts claimed by user.

Schema

  • Array [

  • id string

    Id of the payout

    dateClaimed string

    Date the reward was claimed

    paymentReferenceId string

    A reference id to display to the user for communicating with admins

    paymentReferenceLink string

    A link which will take the user to the payout system

    rewards

    object[]

    List of rewards tied to the payout

  • Array [

  • id string

    Id of the reward

    status string

    Possible values: [Pending, Confirmed, Declined, Claimed, All]

    Status of the reward

    type string

    Possible values: [MileageCheckIn, ConditionCheckIn, GaragingCheckIn, LowMileageBonus, Custom, SurveyCompleted]

    Type of the reward

    description string

    Description of the reward

    vehicleId string

    Id of the vehicle (if the reward is tied to an action on the vehicle like a Mileage Check-in

    payoutId string

    Id of the payout (if the reward has been claimed.

    dateRewarded string

    Date on which reward was created

    buyer

    object

    Buyer of the reward

    id string

    Id of the buyer

    name string

    Name of the buyer

    logo string

    Logo of the buyer

    listLogo string

    Small Logo of the buyer

    description string

    Description of buyer

    shortDescription string

    Short description of the buyer

    earningsDescription string

    Description shown on the earnings tab of the buyer

    appDownloadLink string

    App download link

    websiteLink string

    Website link

    shopNowLink string

    Shop now link

    featured boolean

    Featured

    featuredHeroImage string

    Hero Image

    marketplacePhoto1 string

    Photo1

    marketplacePhoto2 string

    Photo2

    marketplacePhoto3 string

    Photo3

    marketplaceDescription string

    Description

    featuredImage string

    Image

    featuredBgColor string

    BgColor of the shop

    featuredTitle string

    Title of the shop

    amount double
  • ]

  • amount double
  • ]

Loading...